package sde.to.util;

/**
 * 一様乱数発生器
 * 
 * @author ohno
 *
 */
public class CUniformRG extends CRandomGenerator{
	
	
	/**
	 *  一様乱数（整数）の最大値設定
	 */
			private int max = 0;
	
	/**
	 * コンストラクタ
	 * 
	 */
	public CUniformRG(){
		
	}
	
	/**
	 * シード値の設定
	 * 
	 * @param seed
	 * 
	 */
	public void setSeed(int seed){
		super.setSead(seed);
		
	}
	
	/**
	 * 整数一様乱数最大値の設定
	 * @param max
	 */
	public void setMax(int max){
		
		this.max = max;
	}
	/**
	 * 一様乱数（boolean)の取得
	 * @return 乱数値
	 */
	public boolean nextBoolean(){
		
		return super.nextBoolean();
	}
	
	/**
	 * 一様乱数(double)の取得 on [0.,1.]
	 * @return 乱数値
	 */
	public double nextDouble(){
		
		return super.nextDouble();
	}
	
	/**
	 * 一様乱数(int)の取得　on [0. max]
	 * @return 乱数値
	 */
	public int nextInt(){
		return (int)(super.nextDouble()*this.max) ;
	}

}
