package sde.to.util;

import org.apache.log4j.Logger;

/**
 * 
 * 本来assertionにすべき場合は、このクラスを使用して
 * 例外を発生する。
 * 
 * 2010.02.20
 * 
 * @author ohno
 *
 */
public class CAssertion extends RuntimeException {
	
	/** Logger. */
	private static final Logger logger = Logger.getLogger(CAssertion.class);

	
	/**
	 * コンストラクタ
	 * 
	 * @param msg メッセージ
	 */
	public CAssertion(String msg){
		// 親(例外)の呼び出し
		super();
		// ログに出力する。
		if(msg.trim().length()!=0)logger.error("CAssertion["+msg+"]");
		assert(false);
	}
	
	/**
	 * コンストラクタ
	 * 
	 * @param x 値
	 */
	public CAssertion(double x){
		// 親(例外)の呼び出し
		super();
		// ログに出力する。
		logger.error("CAssertion["+x+"]");
		assert(false);
	}
	
	
	/**
	 * 試験
	 * 
	 * @throws CAssertion 
	 */
	public static void main(String[] arg) throws CAssertion{
		
		CAssertion one = new CAssertion("siken");
		throw one;
	}
	

}
